
export default {
    namespaced:true,
    state:{
        componentVisible:1,  // 1：列表页  2：新增  3：分派权限
        departmentList:[],
        roleList:[],
        hasAdd:false
    },
    mutations:{
        setComponentVisible(state,payload) { 
            state.componentVisible = payload.num;
        },
        saveDepartmentList(state,payload) { 
            state.departmentList = payload.departmentList;
        },
        saveRoleList(state,payload) { 
            state.roleList = payload.roleList;
        },
        // 添加成员后，控制刷新列表数据
        changeHasAdd(state) { 
            state.hasAdd = true;
        },
        restHasAdd(state) { 
            state.hasAdd = false;
        }
    },
}